# remove

Removes the item at a given position in a sequence

remove($target as item()*, $position as xs:integer) → item()*

Arguments
| $target | item()* | The input sequence, from which an item is to be removed
| $position | xs:integer | The position of the item to be removed
Result | item()*

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next